## org.pentaho.reporting.libraries.formula.typing.sequence
Class DefaultNumberSequence

    java.lang.Object
      org.pentaho.reporting.libraries.formula.typing.sequence.AnySequence
          org.pentaho.reporting.libraries.formula.typing.sequence.DefaultNumberSequence

All Implemented Interfaces:
  NumberSequence, Sequence

    public class DefaultNumberSequence

extends AnySequence
implements NumberSequence

Author:
  Cedric Pronzato

Constructor Summary
`DefaultNumberSequence(AnySequence anySequence)`
`DefaultNumberSequence(ArrayCallback array, FormulaContext context)` Number sequence bounded to an array.
`DefaultNumberSequence(FormulaContext context)` Empty number sequence.
`DefaultNumberSequence(LValue n, FormulaContext context)` Number sequence bounded to only one number item.

Method Summary
`java.lang.Number` `nextNumber()`

Methods inherited from class org.pentaho.reporting.libraries.formula.typing.sequence.AnySequence
`hasNext, next, nextRawValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.reporting.libraries.formula.typing.Sequence
`hasNext, next, nextRawValue`

Constructor Detail

### DefaultNumberSequence

    public DefaultNumberSequence(FormulaContext context)

  Empty number sequence.

### DefaultNumberSequence

    public DefaultNumberSequence(LValue n,
                                 FormulaContext context)

  Number sequence bounded to only one number item.

  Parameters:
    `n` - A number

### DefaultNumberSequence

    public DefaultNumberSequence(ArrayCallback array,
                                 FormulaContext context)

  Number sequence bounded to an array.

  Parameters:
    `array` -

### DefaultNumberSequence

    public DefaultNumberSequence(AnySequence anySequence)

Method Detail

### nextNumber

    public java.lang.Number nextNumber()
                                throws EvaluationException

  Specified by:
    `nextNumber` in interface `NumberSequence`
  Throws:
    `EvaluationException`